# Class LCommandLoad

java.lang.Object
com.io7m.laurel.filemodel.internal.LCommandAbstract<com.io7m.darco.api.DDatabaseUnit>
com.io7m.laurel.filemodel.internal.LCommandLoad

All Implemented Interfaces:
  `LCommandType<com.io7m.darco.api.DDatabaseUnit>`

public final class LCommandLoad extends LCommandAbstract<com.io7m.darco.api.DDatabaseUnit>
Load everything.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LCommandLoad()`
  Load everything.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `describe()`
  `boolean`
  `loading()`
  `protected LCommandUndoable`
  `onExecute(LFileModel model, LDatabaseTransactionType transaction, com.io7m.darco.api.DDatabaseUnit request)`
  `protected void`
  `onRedo(LFileModel model, LDatabaseTransactionType transaction)`
  `protected void`
  `onUndo(LFileModel model, LDatabaseTransactionType transaction)`
  `static LCommandFactoryType<com.io7m.darco.api.DDatabaseUnit>`
  `provider()`
  `Properties`
  `toProperties()`

  ### Methods inherited from class LCommandAbstract

  `execute, isExecuted, redo, setExecuted, undo`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface LCommandType

  `requiresCompaction, serialize`

- ## Constructor Details

  - ### LCommandLoad

    public LCommandLoad()
    Load everything.

- ## Method Details

  - ### provider

    public static LCommandFactoryType<com.io7m.darco.api.DDatabaseUnit> provider()
    Returns:
      A command factory

  - ### loading

    public boolean loading()
    Returns:
      `true` if this command indicates the file model is loading

  - ### onExecute

    protected LCommandUndoable onExecute(LFileModel model, LDatabaseTransactionType transaction, com.io7m.darco.api.DDatabaseUnit request)
    Specified by:
      `onExecute` in class `LCommandAbstract<com.io7m.darco.api.DDatabaseUnit>`

  - ### onUndo

    protected void onUndo(LFileModel model, LDatabaseTransactionType transaction)
    Specified by:
      `onUndo` in class `LCommandAbstract<com.io7m.darco.api.DDatabaseUnit>`

  - ### onRedo

    protected void onRedo(LFileModel model, LDatabaseTransactionType transaction)
    Specified by:
      `onRedo` in class `LCommandAbstract<com.io7m.darco.api.DDatabaseUnit>`

  - ### toProperties

    public Properties toProperties()
    Returns:
      The command as a set of properties

  - ### describe

    public String describe()
    Returns:
      A humanly-readable description of the operation